Bug 1576458 - Need to account for deprecated master config vars in upgrade
Summary: Need to account for deprecated master config vars in upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.10.0
Assignee: Michael Gugino
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 13:43 UTC by Michael Gugino
Modified: 2018-07-30 19:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 19:14:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:15:17 UTC

Description Michael Gugino 2018-05-09 13:43:56 UTC
Description of problem:
https://github.com/openshift/origin/blob/45d2bb293b4f6f8f053591c67b0ead39fbb9bb24/pkg/cmd/server/apis/config/v1/types.go#L528

In master config, section "networkConfig",

HostSubnetLength and ClusterNetworkCIDR and deprecated in favor of ClusterNetworks.

We need to ensure that ClusterNetworks is added to exisitng config files, it does not appear we have ever injected this setting previously for older clusters.

Comment 1 Michael Gugino 2018-05-15 19:27:12 UTC
PR Created: https://github.com/openshift/openshift-ansible/pull/8382

Comment 2 Weihua Meng 2018-05-22 05:54:12 UTC
Fixed.
openshift-ansible-3.10.0-0.50.0.git.0.bd68ade.el7.noarch

networkConfig:
  clusterNetworks:
  - cidr: 10.128.0.0/14
    hostSubnetLength: 9
  externalIPNetworkCIDRs:
  - 0.0.0.0/0
  networkPluginName: redhat/openshift-ovs-subnet
  serviceNetworkCIDR: 172.30.0.0/16


before fix (3.10.0-0.47.0)
networkConfig:
  clusterNetworkCIDR: 10.128.0.0/14
  clusterNetworks:
  - cidr: 10.128.0.0/14
    hostSubnetLength: 9
  externalIPNetworkCIDRs:
  - 0.0.0.0/0
  hostSubnetLength: 9
  networkPluginName: redhat/openshift-ovs-subnet
  serviceNetworkCIDR: 172.30.0.0/16

Comment 4 errata-xmlrpc 2018-07-30 19:14:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.